#!/bin/sh
# the next line restarts using tclsh \
exec tclsh "$0" "$@"

# $Id: test-clipboard.tcl,v 1.7 2004/03/07 09:27:18 baum Exp $

# ensure that "." is the decimal point
set ::env(LC_NUMERIC) "C"

set auto_path [linsert $auto_path 0 [file join [file dirname [info script]] ../src]]
package require Gnocl

foreach el {0 1} {
   if { $el } {
      puts "Testing PRIMARY"
   } else {
      puts "Testing standard clipboard"
   }
   gnocl::clipboard clear -primary $el
   if { [gnocl::clipboard hasText -primary $el] } {
      puts "Error: clipboard should be empty"
   }

   set txt "abcd$el"
   gnocl::clipboard setText $txt -primary $el
   set ret [gnocl::clipboard getText -primary $el]
   if { [string length $ret] != [string length $txt] \
         || [string compare $ret $txt] != 0 } {
      error "$ret != $txt"
   }
   puts [format "length: %d == %d; %s == %s" [string length $txt] \
         [string length $ret] $txt $ret]

   gnocl::clipboard clear -primary $el
   if { [gnocl::clipboard hasText -primary $el] } {
      error "clipboard should be empty"
   }
}

# if { $argc == 1 } {
#    set win [gnocl::plug -socketID [lindex $argv 0] -child $mainBox -onDestroy exit]
# } else {
#    set win [gnocl::window -child $mainBox -onDestroy exit]
# }

#gnocl::mainLoop

