#!/bin/sh
# the next line restarts using tclsh \
exec tclsh "$0" "$@"

# $Id: test-tree.tcl,v 1.12 2003/12/21 15:03:19 baum Exp $

# ensure that "." is the decimal point
set ::env(LC_NUMERIC) "C"

set auto_path [linsert $auto_path 0 [file join [file dirname [info script]] ../src]]
package require Gnocl 

set tree [gnocl::tree \
      -titles {string bool markup "integer (editable)" "float"} \
      -types {string boolean markup integer float} -selectionMode multiple \
      -onRowExpanded { puts "expanded %w %p" } \
      -onRowCollapsed { puts "collapsed %w %p" } ]

$tree add {} {{language}}

set path ""
for { set k 0 } { $k < 1000 } { incr k } {
   $tree add $path "line$k 0 <u>foo</u> $k 9.4" -singleRow 1
}

#$tree columnConfigure 0 -background green
$tree columnConfigure 2 -background MistyRose
$tree columnConfigure 3 -editable 1 \
      -align right -background yellow 
$tree columnConfigure 4 -background peachPuff

proc bgerror { err } {
   puts "in bgerror: $err"
   puts $::errorInfo
   # puts "errorCode: $::errorCode"
}

proc start { } {
   set st [clock clicks -milliseconds]
   $::tree erase 0 end
   set en [clock clicks -milliseconds]
   puts [expr {$en-$st}]
}

set mainBox [gnocl::box -orientation vertical -children $tree -expand 1 -fill 1]
$mainBox add [gnocl::button -text "Start" -onClicked start]

set win [gnocl::window -child $mainBox \
         -defaultWidth 300 -defaultHeight 200 -onDestroy exit]


gnocl::mainLoop

